Package org.apache.wiki.render

## Class WysiwygEditingRenderer

- java.lang.Object
- - org.apache.wiki.render.WikiRenderer
  - - org.apache.wiki.render.WysiwygEditingRenderer

    public class WysiwygEditingRenderer
    extends WikiRenderer

Implements a WikiRenderer that outputs XHTML in a format that is suitable for use by a WYSIWYG XHTML editor.

Since:
  2.5

### Field Summary

### Fields inherited from class org.apache.wiki.render.WikiRenderer

`LINKS_SOURCE, LINKS_TRANSLATION, m_context, m_document`

### Constructor Summary

Constructors
`WysiwygEditingRenderer​(Context context, WikiDocument doc)` Creates a WYSIWYG editing renderer.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getString()` Renders and returns the end result.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WysiwygEditingRenderer

    public WysiwygEditingRenderer​(Context context,
                                  WikiDocument doc)

Creates a WYSIWYG editing renderer.

Parameters:
  `context` - A WikiContext in which the rendering will take place.
  `doc` - The WikiDocument which shall be rendered.

### Method Detail

#### getString

    public java.lang.String getString()
                               throws java.io.IOException

Renders and returns the end result.

Specified by:
  `getString` in class `WikiRenderer`
Returns:
  A rendered string.
Throws:
  `java.io.IOException` - If rendering fails.